--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.5
--  \   \         Application : sch2hdl
--  /   /         Filename : CLK_MAIN.vhf
-- /___/   /\     Timestamp : 07/20/2010 17:22:45
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/icon -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/ila -intstyle ise -family spartan3 -flat -suppress -vhdl /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/CLK_MAIN.vhf -w /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/CLK_MAIN.sch
--Design Name: CLK_MAIN
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTC_MXILINX_CLK_MAIN is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTC_MXILINX_CLK_MAIN;

architecture BEHAVIORAL of FTC_MXILINX_CLK_MAIN is
   attribute BOX_TYPE   : string ;
   attribute RLOC       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDC
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   attribute RLOC of I_36_35 : label is "X0Y0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDC
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CLK_MAIN is
   port ( CLK4_N     : in    std_logic; 
          CLK4_P     : in    std_logic; 
          SPB0_0     : in    std_logic; 
          SPB0_1     : in    std_logic; 
          SPB1_0     : in    std_logic; 
          SPB1_1     : in    std_logic; 
          SPB2_0     : in    std_logic; 
          SPB2_1     : in    std_logic; 
          SPB3_0     : in    std_logic; 
          SPB3_1     : in    std_logic; 
          xCLK_FB    : out   std_logic; 
          xCLK_15MHz : out   std_logic; 
          xCLK_30MHz : out   std_logic; 
          xCLR_ALL   : out   std_logic; 
          xDONE      : out   std_logic; 
          xTRIG0     : out   std_logic; 
          xTRIG1     : out   std_logic; 
          xTRIG2     : out   std_logic; 
          xTRIG3     : out   std_logic);
end CLK_MAIN;

architecture BEHAVIORAL of CLK_MAIN is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal XLXN_4           : std_logic;
   signal XLXN_158         : std_logic;
   signal XLXN_160         : std_logic;
   signal XLXN_167         : std_logic;
   signal XLXN_168         : std_logic;
   signal XLXN_169         : std_logic;
   signal XLXN_184         : std_logic;
   signal XLXN_219         : std_logic;
   signal XLXN_220         : std_logic;
   signal XLXN_233         : std_logic;
   signal XLXN_238         : std_logic;
   signal XLXN_239         : std_logic;
   signal XLXN_240         : std_logic;
   signal XLXN_241         : std_logic;
   signal XLXN_248         : std_logic;
   signal XLXN_249         : std_logic;
   signal xTRIG0_DUMMY     : std_logic;
   signal xDONE_DUMMY      : std_logic;
   signal xCLK_30MHz_DUMMY : std_logic;
   component IBUFGDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFGDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFGDS : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component FTC_MXILINX_CLK_MAIN
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component PROGRESET
      port ( CLK     : in    std_logic; 
             GLRST   : out   std_logic; 
             WAKEUP  : in    std_logic; 
             Clr_all : out   std_logic);
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_21 : label is "XLXI_21_3";
   attribute HU_SET of XLXI_1554 : label is "XLXI_1554_2";
begin
   xCLK_30MHz <= xCLK_30MHz_DUMMY;
   xDONE <= xDONE_DUMMY;
   xTRIG0 <= xTRIG0_DUMMY;
   XLXI_3 : IBUFGDS
      port map (I=>CLK4_P,
                IB=>CLK4_N,
                O=>XLXN_4);
   
   XLXI_4 : BUFG
      port map (I=>XLXN_4,
                O=>xCLK_FB);
   
   XLXI_21 : FTC_MXILINX_CLK_MAIN
      port map (C=>xCLK_30MHz_DUMMY,
                CLR=>XLXN_233,
                T=>XLXN_158,
                Q=>XLXN_160);
   
   XLXI_44 : GND
      port map (G=>XLXN_233);
   
   XLXI_45 : VCC
      port map (P=>XLXN_158);
   
   XLXI_46 : BUFG
      port map (I=>XLXN_160,
                O=>xCLK_15MHz);
   
   XLXI_1554 : FTC_MXILINX_CLK_MAIN
      port map (C=>xDONE_DUMMY,
                CLR=>XLXN_167,
                T=>XLXN_168,
                Q=>XLXN_169);
   
   XLXI_1555 : GND
      port map (G=>XLXN_167);
   
   XLXI_1556 : VCC
      port map (P=>XLXN_168);
   
   XLXI_2556 : BUF
      port map (I=>XLXN_169,
                O=>xCLK_30MHz_DUMMY);
   
   XLXI_2565 : PROGRESET
      port map (CLK=>xDONE_DUMMY,
                WAKEUP=>XLXN_184,
                Clr_all=>xCLR_ALL,
                GLRST=>open);
   
   XLXI_2566 : VCC
      port map (P=>XLXN_184);
   
   XLXI_2578 : IBUF
      port map (I=>SPB0_0,
                O=>XLXN_219);
   
   XLXI_2579 : IBUF
      port map (I=>SPB0_1,
                O=>XLXN_220);
   
   XLXI_2588 : BUF
      port map (I=>XLXN_219,
                O=>xTRIG0_DUMMY);
   
   XLXI_2589 : BUF
      port map (I=>XLXN_220,
                O=>open);
   
   XLXI_2590 : BUF
      port map (I=>xTRIG0_DUMMY,
                O=>xDONE_DUMMY);
   
   XLXI_2595 : IBUF
      port map (I=>SPB3_1,
                O=>XLXN_238);
   
   XLXI_2596 : BUF
      port map (I=>XLXN_238,
                O=>open);
   
   XLXI_2597 : IBUF
      port map (I=>SPB3_0,
                O=>XLXN_239);
   
   XLXI_2598 : BUF
      port map (I=>XLXN_239,
                O=>xTRIG3);
   
   XLXI_2599 : IBUF
      port map (I=>SPB2_1,
                O=>XLXN_240);
   
   XLXI_2600 : BUF
      port map (I=>XLXN_240,
                O=>open);
   
   XLXI_2601 : IBUF
      port map (I=>SPB2_0,
                O=>XLXN_241);
   
   XLXI_2602 : BUF
      port map (I=>XLXN_241,
                O=>xTRIG2);
   
   XLXI_2605 : IBUF
      port map (I=>SPB1_0,
                O=>XLXN_248);
   
   XLXI_2606 : BUF
      port map (I=>XLXN_248,
                O=>xTRIG1);
   
   XLXI_2607 : IBUF
      port map (I=>SPB1_1,
                O=>XLXN_249);
   
   XLXI_2608 : BUF
      port map (I=>XLXN_249,
                O=>open);
   
end BEHAVIORAL;


