--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.5
--  \   \         Application : sch2hdl
--  /   /         Filename : TRIGGER_MAIN.vhf
-- /___/   /\     Timestamp : 07/21/2010 12:50:18
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/icon -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/ila -intstyle ise -family spartan3 -flat -suppress -vhdl /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/TRIGGER_MAIN.vhf -w /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/TRIGGER_MAIN.sch
--Design Name: TRIGGER_MAIN
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity OR6_MXILINX_TRIGGER_MAIN is
   port ( I0 : in    std_logic; 
          I1 : in    std_logic; 
          I2 : in    std_logic; 
          I3 : in    std_logic; 
          I4 : in    std_logic; 
          I5 : in    std_logic; 
          O  : out   std_logic);
end OR6_MXILINX_TRIGGER_MAIN;

architecture BEHAVIORAL of OR6_MXILINX_TRIGGER_MAIN is
   attribute BOX_TYPE   : string ;
   attribute RLOC       : string ;
   signal dummy   : std_logic;
   signal I35     : std_logic;
   signal O_DUMMY : std_logic;
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component FMAP
      port ( I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : in    std_logic);
   end component;
   attribute BOX_TYPE of FMAP : component is "BLACK_BOX";
   
   attribute RLOC of I_36_106 : label is "X0Y0";
   attribute RLOC of I_36_107 : label is "X0Y0";
begin
   O <= O_DUMMY;
   I_36_87 : OR4
      port map (I0=>I0,
                I1=>I1,
                I2=>I2,
                I3=>I35,
                O=>O_DUMMY);
   
   I_36_88 : OR3
      port map (I0=>I3,
                I1=>I4,
                I2=>I5,
                O=>I35);
   
   I_36_106 : FMAP
      port map (I1=>I0,
                I2=>I1,
                I3=>I2,
                I4=>I35,
                O=>O_DUMMY);
   
   I_36_107 : FMAP
      port map (I1=>I3,
                I2=>I4,
                I3=>I5,
                I4=>dummy,
                O=>I35);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TRIGGER_MAIN is
   port ( xTRIG0    : in    std_logic; 
          xTRIG1    : in    std_logic; 
          xTRIG2    : in    std_logic; 
          xTRIG3    : in    std_logic; 
          xSELFTRIG : out   std_logic);
end TRIGGER_MAIN;

architecture BEHAVIORAL of TRIGGER_MAIN is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal A         : std_logic;
   signal B         : std_logic;
   signal C         : std_logic;
   signal D         : std_logic;
   signal XLXN_22   : std_logic;
   signal XLXN_23   : std_logic;
   signal XLXN_24   : std_logic;
   signal XLXN_25   : std_logic;
   signal XLXN_26   : std_logic;
   signal XLXN_27   : std_logic;
   signal XLXN_31   : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OR6_MXILINX_TRIGGER_MAIN
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             I5 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_11 : label is "XLXI_11_0";
begin
   XLXI_1 : AND2
      port map (I0=>B,
                I1=>A,
                O=>XLXN_22);
   
   XLXI_2 : AND2
      port map (I0=>C,
                I1=>A,
                O=>XLXN_23);
   
   XLXI_3 : AND2
      port map (I0=>D,
                I1=>A,
                O=>XLXN_24);
   
   XLXI_4 : AND2
      port map (I0=>C,
                I1=>B,
                O=>XLXN_25);
   
   XLXI_5 : AND2
      port map (I0=>D,
                I1=>B,
                O=>XLXN_26);
   
   XLXI_6 : AND2
      port map (I0=>D,
                I1=>C,
                O=>XLXN_27);
   
   XLXI_7 : BUF
      port map (I=>xTRIG0,
                O=>A);
   
   XLXI_8 : BUF
      port map (I=>xTRIG1,
                O=>B);
   
   XLXI_9 : BUF
      port map (I=>xTRIG2,
                O=>C);
   
   XLXI_10 : BUF
      port map (I=>xTRIG3,
                O=>D);
   
   XLXI_11 : OR6_MXILINX_TRIGGER_MAIN
      port map (I0=>XLXN_27,
                I1=>XLXN_26,
                I2=>XLXN_25,
                I3=>XLXN_24,
                I4=>XLXN_23,
                I5=>XLXN_22,
                O=>open);
   
   XLXI_12 : BUF
      port map (I=>XLXN_31,
                O=>xSELFTRIG);
   
   XLXI_14 : OR4
      port map (I0=>D,
                I1=>C,
                I2=>B,
                I3=>A,
                O=>XLXN_31);
   
end BEHAVIORAL;


