--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.4
--  \   \         Application : sch2hdl
--  /   /         Filename : PLL_IO.vhf
-- /___/   /\     Timestamp : 07/14/2010 06:00:30
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -sympath C:/Firmware/CREAM/v4_test/MCP_TARGET_BOTTOMv01/src/icon -sympath C:/Firmware/CREAM/v4_test/MCP_TARGET_BOTTOMv01/src/ila -intstyle ise -family spartan3 -flat -suppress -vhdl C:/Firmware/CREAM/v4_test/MCP_TARGET_BOTTOMv01/PLL_IO.vhf -w C:/Firmware/CREAM/v4_test/MCP_TARGET_BOTTOMv01/src/PLL_IO.sch
--Design Name: PLL_IO
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity PLL_IO is
   port ( PLL_LOCK  : in    std_logic; 
          SPI_MISO  : in    std_logic; 
          xDIN      : in    std_logic; 
          xPLL_RST  : in    std_logic; 
          xPWR_DWN  : in    std_logic; 
          xSCLK     : in    std_logic; 
          xS_EN     : in    std_logic; 
          MODE_SEL  : out   std_logic; 
          PLL_RST   : out   std_logic; 
          PWR_DWN   : out   std_logic; 
          REF_SEL   : out   std_logic; 
          SPI_CLK   : out   std_logic; 
          SPI_LE    : out   std_logic; 
          SPI_MOSI  : out   std_logic; 
          xDOUT     : out   std_logic; 
          xPLL_LOCK : out   std_logic);
end PLL_IO;

architecture BEHAVIORAL of PLL_IO is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_3    : std_logic;
   signal XLXN_13   : std_logic;
   signal XLXN_15   : std_logic;
   signal XLXN_18   : std_logic;
   signal XLXN_21   : std_logic;
   signal XLXN_23   : std_logic;
   signal XLXN_59   : std_logic;
   signal XLXN_62   : std_logic;
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
begin
   XLXI_1 : OBUF
      port map (I=>xSCLK,
                O=>SPI_CLK);
   
   XLXI_3 : IBUF
      port map (I=>SPI_MISO,
                O=>XLXN_3);
   
   XLXI_4 : BUF
      port map (I=>XLXN_3,
                O=>xDOUT);
   
   XLXI_5 : OBUF
      port map (I=>xDIN,
                O=>SPI_MOSI);
   
   XLXI_6 : OBUF
      port map (I=>XLXN_59,
                O=>SPI_LE);
   
   XLXI_7 : OBUF
      port map (I=>XLXN_13,
                O=>REF_SEL);
   
   XLXI_8 : VCC
      port map (P=>XLXN_13);
   
   XLXI_9 : OBUF
      port map (I=>XLXN_15,
                O=>MODE_SEL);
   
   XLXI_10 : VCC
      port map (P=>XLXN_15);
   
   XLXI_11 : OBUF
      port map (I=>XLXN_18,
                O=>PLL_RST);
   
   XLXI_12 : INV
      port map (I=>xPLL_RST,
                O=>XLXN_18);
   
   XLXI_13 : OBUF
      port map (I=>XLXN_62,
                O=>PWR_DWN);
   
   XLXI_14 : INV
      port map (I=>xPWR_DWN,
                O=>XLXN_21);
   
   XLXI_15 : IBUF
      port map (I=>PLL_LOCK,
                O=>XLXN_23);
   
   XLXI_16 : BUF
      port map (I=>XLXN_23,
                O=>xPLL_LOCK);
   
   XLXI_39 : INV
      port map (I=>xS_EN,
                O=>XLXN_59);
   
   XLXI_41 : GND
      port map (G=>XLXN_62);
   
end BEHAVIORAL;


