--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.5
--  \   \         Application : sch2hdl
--  /   /         Filename : TOP.vhf
-- /___/   /\     Timestamp : 07/20/2010 17:27:41
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/icon -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/ila -intstyle ise -family spartan3 -flat -suppress -vhdl /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/TOP.vhf -w /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/TOP.sch
--Design Name: TOP
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity MON_HDR_MUSER_TOP is
   port ( xMON0  : in    std_logic; 
          xMON1  : in    std_logic; 
          xMON2  : in    std_logic; 
          xMON3  : in    std_logic; 
          xMON4  : in    std_logic; 
          xMON5  : in    std_logic; 
          xMON6  : in    std_logic; 
          xMON7  : in    std_logic; 
          xMON8  : in    std_logic; 
          xMON9  : in    std_logic; 
          xMON10 : in    std_logic; 
          xMON11 : in    std_logic; 
          xMON12 : in    std_logic; 
          xMON13 : in    std_logic; 
          xMON14 : in    std_logic; 
          xMON15 : in    std_logic; 
          MON0   : out   std_logic; 
          MON1   : out   std_logic; 
          MON2   : out   std_logic; 
          MON3   : out   std_logic; 
          MON4   : out   std_logic; 
          MON5   : out   std_logic; 
          MON6   : out   std_logic; 
          MON7   : out   std_logic; 
          MON8   : out   std_logic; 
          MON9   : out   std_logic; 
          MON10  : out   std_logic; 
          MON11  : out   std_logic; 
          MON12  : out   std_logic; 
          MON13  : out   std_logic; 
          MON14  : out   std_logic; 
          MON15  : out   std_logic);
end MON_HDR_MUSER_TOP;

architecture BEHAVIORAL of MON_HDR_MUSER_TOP is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
begin
   XLXI_63 : OBUF
      port map (I=>xMON0,
                O=>MON0);
   
   XLXI_64 : OBUF
      port map (I=>xMON1,
                O=>MON1);
   
   XLXI_65 : OBUF
      port map (I=>xMON2,
                O=>MON2);
   
   XLXI_66 : OBUF
      port map (I=>xMON3,
                O=>MON3);
   
   XLXI_67 : OBUF
      port map (I=>xMON4,
                O=>MON4);
   
   XLXI_68 : OBUF
      port map (I=>xMON5,
                O=>MON5);
   
   XLXI_69 : OBUF
      port map (I=>xMON6,
                O=>MON6);
   
   XLXI_70 : OBUF
      port map (I=>xMON7,
                O=>MON7);
   
   XLXI_71 : OBUF
      port map (I=>xMON8,
                O=>MON8);
   
   XLXI_72 : OBUF
      port map (I=>xMON9,
                O=>MON9);
   
   XLXI_73 : OBUF
      port map (I=>xMON10,
                O=>MON10);
   
   XLXI_74 : OBUF
      port map (I=>xMON11,
                O=>MON11);
   
   XLXI_75 : OBUF
      port map (I=>xMON12,
                O=>MON12);
   
   XLXI_76 : OBUF
      port map (I=>xMON13,
                O=>MON13);
   
   XLXI_77 : OBUF
      port map (I=>xMON14,
                O=>MON14);
   
   XLXI_78 : OBUF
      port map (I=>xMON15,
                O=>MON15);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTC_MXILINX_TOP is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTC_MXILINX_TOP;

architecture BEHAVIORAL of FTC_MXILINX_TOP is
   attribute BOX_TYPE   : string ;
   attribute RLOC       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDC
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   attribute RLOC of I_36_35 : label is "X0Y0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDC
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CLK_MAIN_MUSER_TOP is
   port ( CLK4_N     : in    std_logic; 
          CLK4_P     : in    std_logic; 
          SPB0_0     : in    std_logic; 
          SPB0_1     : in    std_logic; 
          SPB1_0     : in    std_logic; 
          SPB1_1     : in    std_logic; 
          SPB2_0     : in    std_logic; 
          SPB2_1     : in    std_logic; 
          SPB3_0     : in    std_logic; 
          SPB3_1     : in    std_logic; 
          xCLK_FB    : out   std_logic; 
          xCLK_15MHz : out   std_logic; 
          xCLK_30MHz : out   std_logic; 
          xCLR_ALL   : out   std_logic; 
          xDONE      : out   std_logic; 
          xTRIG0     : out   std_logic; 
          xTRIG1     : out   std_logic; 
          xTRIG2     : out   std_logic; 
          xTRIG3     : out   std_logic);
end CLK_MAIN_MUSER_TOP;

architecture BEHAVIORAL of CLK_MAIN_MUSER_TOP is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal XLXN_4           : std_logic;
   signal XLXN_158         : std_logic;
   signal XLXN_160         : std_logic;
   signal XLXN_167         : std_logic;
   signal XLXN_168         : std_logic;
   signal XLXN_169         : std_logic;
   signal XLXN_184         : std_logic;
   signal XLXN_219         : std_logic;
   signal XLXN_220         : std_logic;
   signal XLXN_233         : std_logic;
   signal XLXN_238         : std_logic;
   signal XLXN_239         : std_logic;
   signal XLXN_240         : std_logic;
   signal XLXN_241         : std_logic;
   signal XLXN_248         : std_logic;
   signal XLXN_249         : std_logic;
   signal xTRIG0_DUMMY     : std_logic;
   signal xDONE_DUMMY      : std_logic;
   signal xCLK_30MHz_DUMMY : std_logic;
   component IBUFGDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFGDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFGDS : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component FTC_MXILINX_TOP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component PROGRESET
      port ( CLK     : in    std_logic; 
             GLRST   : out   std_logic; 
             WAKEUP  : in    std_logic; 
             Clr_all : out   std_logic);
   end component;
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_21 : label is "XLXI_21_1";
   attribute HU_SET of XLXI_1554 : label is "XLXI_1554_0";
begin
   xCLK_30MHz <= xCLK_30MHz_DUMMY;
   xDONE <= xDONE_DUMMY;
   xTRIG0 <= xTRIG0_DUMMY;
   XLXI_3 : IBUFGDS
      port map (I=>CLK4_P,
                IB=>CLK4_N,
                O=>XLXN_4);
   
   XLXI_4 : BUFG
      port map (I=>XLXN_4,
                O=>xCLK_FB);
   
   XLXI_21 : FTC_MXILINX_TOP
      port map (C=>xCLK_30MHz_DUMMY,
                CLR=>XLXN_233,
                T=>XLXN_158,
                Q=>XLXN_160);
   
   XLXI_44 : GND
      port map (G=>XLXN_233);
   
   XLXI_45 : VCC
      port map (P=>XLXN_158);
   
   XLXI_46 : BUFG
      port map (I=>XLXN_160,
                O=>xCLK_15MHz);
   
   XLXI_1554 : FTC_MXILINX_TOP
      port map (C=>xDONE_DUMMY,
                CLR=>XLXN_167,
                T=>XLXN_168,
                Q=>XLXN_169);
   
   XLXI_1555 : GND
      port map (G=>XLXN_167);
   
   XLXI_1556 : VCC
      port map (P=>XLXN_168);
   
   XLXI_2556 : BUF
      port map (I=>XLXN_169,
                O=>xCLK_30MHz_DUMMY);
   
   XLXI_2565 : PROGRESET
      port map (CLK=>xDONE_DUMMY,
                WAKEUP=>XLXN_184,
                Clr_all=>xCLR_ALL,
                GLRST=>open);
   
   XLXI_2566 : VCC
      port map (P=>XLXN_184);
   
   XLXI_2578 : IBUF
      port map (I=>SPB0_0,
                O=>XLXN_219);
   
   XLXI_2579 : IBUF
      port map (I=>SPB0_1,
                O=>XLXN_220);
   
   XLXI_2588 : BUF
      port map (I=>XLXN_219,
                O=>xTRIG0_DUMMY);
   
   XLXI_2589 : BUF
      port map (I=>XLXN_220,
                O=>open);
   
   XLXI_2590 : BUF
      port map (I=>xTRIG0_DUMMY,
                O=>xDONE_DUMMY);
   
   XLXI_2595 : IBUF
      port map (I=>SPB3_1,
                O=>XLXN_238);
   
   XLXI_2596 : BUF
      port map (I=>XLXN_238,
                O=>open);
   
   XLXI_2597 : IBUF
      port map (I=>SPB3_0,
                O=>XLXN_239);
   
   XLXI_2598 : BUF
      port map (I=>XLXN_239,
                O=>xTRIG3);
   
   XLXI_2599 : IBUF
      port map (I=>SPB2_1,
                O=>XLXN_240);
   
   XLXI_2600 : BUF
      port map (I=>XLXN_240,
                O=>open);
   
   XLXI_2601 : IBUF
      port map (I=>SPB2_0,
                O=>XLXN_241);
   
   XLXI_2602 : BUF
      port map (I=>XLXN_241,
                O=>xTRIG2);
   
   XLXI_2605 : IBUF
      port map (I=>SPB1_0,
                O=>XLXN_248);
   
   XLXI_2606 : BUF
      port map (I=>XLXN_248,
                O=>xTRIG1);
   
   XLXI_2607 : IBUF
      port map (I=>SPB1_1,
                O=>XLXN_249);
   
   XLXI_2608 : BUF
      port map (I=>XLXN_249,
                O=>open);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity PLL_IO_MUSER_TOP is
   port ( PLL_LOCK  : in    std_logic; 
          SPI_MISO  : in    std_logic; 
          xDIN      : in    std_logic; 
          xPLL_RST  : in    std_logic; 
          xPWR_DWN  : in    std_logic; 
          xSCLK     : in    std_logic; 
          xS_EN     : in    std_logic; 
          MODE_SEL  : out   std_logic; 
          PLL_RST   : out   std_logic; 
          PWR_DWN   : out   std_logic; 
          REF_SEL   : out   std_logic; 
          SPI_CLK   : out   std_logic; 
          SPI_LE    : out   std_logic; 
          SPI_MOSI  : out   std_logic; 
          xDOUT     : out   std_logic; 
          xPLL_LOCK : out   std_logic);
end PLL_IO_MUSER_TOP;

architecture BEHAVIORAL of PLL_IO_MUSER_TOP is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_3    : std_logic;
   signal XLXN_13   : std_logic;
   signal XLXN_15   : std_logic;
   signal XLXN_18   : std_logic;
   signal XLXN_21   : std_logic;
   signal XLXN_23   : std_logic;
   signal XLXN_59   : std_logic;
   signal XLXN_62   : std_logic;
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
begin
   XLXI_1 : OBUF
      port map (I=>xSCLK,
                O=>SPI_CLK);
   
   XLXI_3 : IBUF
      port map (I=>SPI_MISO,
                O=>XLXN_3);
   
   XLXI_4 : BUF
      port map (I=>XLXN_3,
                O=>xDOUT);
   
   XLXI_5 : OBUF
      port map (I=>xDIN,
                O=>SPI_MOSI);
   
   XLXI_6 : OBUF
      port map (I=>XLXN_59,
                O=>SPI_LE);
   
   XLXI_7 : OBUF
      port map (I=>XLXN_13,
                O=>REF_SEL);
   
   XLXI_8 : VCC
      port map (P=>XLXN_13);
   
   XLXI_9 : OBUF
      port map (I=>XLXN_15,
                O=>MODE_SEL);
   
   XLXI_10 : VCC
      port map (P=>XLXN_15);
   
   XLXI_11 : OBUF
      port map (I=>XLXN_18,
                O=>PLL_RST);
   
   XLXI_12 : INV
      port map (I=>xPLL_RST,
                O=>XLXN_18);
   
   XLXI_13 : OBUF
      port map (I=>XLXN_62,
                O=>PWR_DWN);
   
   XLXI_14 : INV
      port map (I=>xPWR_DWN,
                O=>XLXN_21);
   
   XLXI_15 : IBUF
      port map (I=>PLL_LOCK,
                O=>XLXN_23);
   
   XLXI_16 : BUF
      port map (I=>XLXN_23,
                O=>xPLL_LOCK);
   
   XLXI_39 : INV
      port map (I=>xS_EN,
                O=>XLXN_59);
   
   XLXI_41 : GND
      port map (G=>XLXN_62);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity REF_REPEAT_MUSER_TOP is
   port ( RF_REV_N : in    std_logic; 
          RF_REV_P : in    std_logic; 
          RF_SPA_N : in    std_logic; 
          RF_SPA_P : in    std_logic; 
          xCLK_FB  : in    std_logic; 
          COMCLK   : out   std_logic; 
          EXT_TRIG : out   std_logic; 
          REV_N    : out   std_logic_vector (3 downto 0); 
          REV_P    : out   std_logic_vector (3 downto 0); 
          SPA_N    : out   std_logic_vector (3 downto 0); 
          SPA_P    : out   std_logic_vector (3 downto 0));
end REF_REPEAT_MUSER_TOP;

architecture BEHAVIORAL of REF_REPEAT_MUSER_TOP is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute DRIVE      : string ;
   attribute SLEW       : string ;
   signal XLXN_1   : std_logic;
   signal XLXN_2   : std_logic;
   signal xREV     : std_logic;
   signal xSPA     : std_logic;
   component IBUFDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFDS : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OBUFDS
      port ( I  : in    std_logic; 
             O  : out   std_logic; 
             OB : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUFDS : component is "DEFAULT";
   attribute DRIVE of OBUFDS : component is "12";
   attribute SLEW of OBUFDS : component is "SLOW";
   attribute BOX_TYPE of OBUFDS : component is "BLACK_BOX";
   
begin
   XLXI_21 : IBUFDS
      port map (I=>RF_REV_P,
                IB=>RF_REV_N,
                O=>XLXN_1);
   
   XLXI_22 : IBUFDS
      port map (I=>RF_SPA_P,
                IB=>RF_SPA_N,
                O=>XLXN_2);
   
   XLXI_25 : BUF
      port map (I=>XLXN_1,
                O=>xREV);
   
   XLXI_26 : BUF
      port map (I=>XLXN_2,
                O=>xSPA);
   
   XLXI_27 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(0),
                OB=>REV_N(0));
   
   XLXI_28 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(1),
                OB=>REV_N(1));
   
   XLXI_29 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(2),
                OB=>REV_N(2));
   
   XLXI_30 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(3),
                OB=>REV_N(3));
   
   XLXI_35 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(0),
                OB=>SPA_N(0));
   
   XLXI_36 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(1),
                OB=>SPA_N(1));
   
   XLXI_37 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(2),
                OB=>SPA_N(2));
   
   XLXI_38 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(3),
                OB=>SPA_N(3));
   
   XLXI_39 : BUF
      port map (I=>xREV,
                O=>COMCLK);
   
   XLXI_40 : BUF
      port map (I=>xSPA,
                O=>EXT_TRIG);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TOP is
   port ( CLK4_N   : in    std_logic; 
          CLK4_P   : in    std_logic; 
          PLL_LOCK : in    std_logic; 
          RF_REV_N : in    std_logic; 
          RF_REV_P : in    std_logic; 
          RF_SPA_N : in    std_logic; 
          RF_SPA_P : in    std_logic; 
          SPB0_0   : in    std_logic; 
          SPB0_1   : in    std_logic; 
          SPB1_0   : in    std_logic; 
          SPB1_1   : in    std_logic; 
          SPB2_0   : in    std_logic; 
          SPB2_1   : in    std_logic; 
          SPB3_0   : in    std_logic; 
          SPB3_1   : in    std_logic; 
          SPI_MISO : in    std_logic; 
          MODE_SEL : out   std_logic; 
          MON0     : out   std_logic; 
          MON1     : out   std_logic; 
          MON2     : out   std_logic; 
          MON3     : out   std_logic; 
          MON4     : out   std_logic; 
          MON5     : out   std_logic; 
          MON6     : out   std_logic; 
          MON7     : out   std_logic; 
          MON8     : out   std_logic; 
          MON9     : out   std_logic; 
          MON10    : out   std_logic; 
          MON11    : out   std_logic; 
          MON12    : out   std_logic; 
          MON13    : out   std_logic; 
          MON14    : out   std_logic; 
          MON15    : out   std_logic; 
          PLL_RST  : out   std_logic; 
          PWR_DWN  : out   std_logic; 
          REF_SEL  : out   std_logic; 
          REV_N    : out   std_logic_vector (3 downto 0); 
          REV_P    : out   std_logic_vector (3 downto 0); 
          RF_SPB_0 : out   std_logic; 
          RF_SPB_1 : out   std_logic; 
          SPA_N    : out   std_logic_vector (3 downto 0); 
          SPA_P    : out   std_logic_vector (3 downto 0); 
          SPI_CLK  : out   std_logic; 
          SPI_LE   : out   std_logic; 
          SPI_MOSI : out   std_logic);
end TOP;

architecture BEHAVIORAL of TOP is
   attribute BOX_TYPE   : string ;
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   signal COMCLK                   : std_logic;
   signal EXT_TRIG                 : std_logic;
   signal xCLK_FB                  : std_logic;
   signal xCLK_15MHz               : std_logic;
   signal xCLR_ALL                 : std_logic;
   signal xDIN                     : std_logic;
   signal xDONE                    : std_logic;
   signal XLXN_89                  : std_logic;
   signal XLXN_91                  : std_logic;
   signal XLXN_93                  : std_logic;
   signal XLXN_94                  : std_logic;
   signal xPLL_RST                 : std_logic;
   signal xPWR_DWN                 : std_logic;
   signal xSCLK                    : std_logic;
   signal xSELFTRIG                : std_logic;
   signal xS_EN                    : std_logic;
   signal xTRIG_OR_DONE            : std_logic;
   signal xTRIG0                   : std_logic;
   signal xTRIG1                   : std_logic;
   signal xTRIG2                   : std_logic;
   signal xTRIG3                   : std_logic;
   signal XLXI_20_xMON5_openSignal : std_logic;
   signal XLXI_20_xMON6_openSignal : std_logic;
   component PLL_IO_MUSER_TOP
      port ( PLL_RST   : out   std_logic; 
             PWR_DWN   : out   std_logic; 
             MODE_SEL  : out   std_logic; 
             REF_SEL   : out   std_logic; 
             SPI_LE    : out   std_logic; 
             SPI_MOSI  : out   std_logic; 
             SPI_CLK   : out   std_logic; 
             xPWR_DWN  : in    std_logic; 
             xPLL_RST  : in    std_logic; 
             xS_EN     : in    std_logic; 
             xDIN      : in    std_logic; 
             xSCLK     : in    std_logic; 
             xPLL_LOCK : out   std_logic; 
             xDOUT     : out   std_logic; 
             PLL_LOCK  : in    std_logic; 
             SPI_MISO  : in    std_logic);
   end component;
   
   component CLK_MAIN_MUSER_TOP
      port ( xDONE      : out   std_logic; 
             xCLK_30MHz : out   std_logic; 
             xCLK_15MHz : out   std_logic; 
             xCLR_ALL   : out   std_logic; 
             xCLK_FB    : out   std_logic; 
             SPB1_0     : in    std_logic; 
             SPB1_1     : in    std_logic; 
             SPB2_0     : in    std_logic; 
             SPB2_1     : in    std_logic; 
             SPB0_0     : in    std_logic; 
             SPB0_1     : in    std_logic; 
             CLK4_P     : in    std_logic; 
             CLK4_N     : in    std_logic; 
             SPB3_1     : in    std_logic; 
             SPB3_0     : in    std_logic; 
             xTRIG0     : out   std_logic; 
             xTRIG1     : out   std_logic; 
             xTRIG2     : out   std_logic; 
             xTRIG3     : out   std_logic);
   end component;
   
   component CONFIG_PLL
      port ( xCLK     : in    std_logic; 
             xCLR_ALL : in    std_logic; 
             xSCLK    : out   std_logic; 
             xDIN     : out   std_logic; 
             xS_EN    : out   std_logic; 
             xPWR_DWN : out   std_logic; 
             xPLL_RST : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component REF_REPEAT_MUSER_TOP
      port ( RF_REV_P : in    std_logic; 
             RF_REV_N : in    std_logic; 
             RF_SPA_P : in    std_logic; 
             RF_SPA_N : in    std_logic; 
             xCLK_FB  : in    std_logic; 
             SPA_P    : out   std_logic_vector (3 downto 0); 
             REV_N    : out   std_logic_vector (3 downto 0); 
             REV_P    : out   std_logic_vector (3 downto 0); 
             SPA_N    : out   std_logic_vector (3 downto 0); 
             COMCLK   : out   std_logic; 
             EXT_TRIG : out   std_logic);
   end component;
   
   component MON_HDR_MUSER_TOP
      port ( xMON0  : in    std_logic; 
             xMON1  : in    std_logic; 
             xMON2  : in    std_logic; 
             xMON3  : in    std_logic; 
             xMON4  : in    std_logic; 
             xMON5  : in    std_logic; 
             xMON6  : in    std_logic; 
             xMON7  : in    std_logic; 
             xMON8  : in    std_logic; 
             xMON9  : in    std_logic; 
             xMON10 : in    std_logic; 
             xMON11 : in    std_logic; 
             xMON12 : in    std_logic; 
             xMON13 : in    std_logic; 
             xMON14 : in    std_logic; 
             xMON15 : in    std_logic; 
             MON0   : out   std_logic; 
             MON1   : out   std_logic; 
             MON2   : out   std_logic; 
             MON3   : out   std_logic; 
             MON4   : out   std_logic; 
             MON5   : out   std_logic; 
             MON6   : out   std_logic; 
             MON7   : out   std_logic; 
             MON8   : out   std_logic; 
             MON9   : out   std_logic; 
             MON10  : out   std_logic; 
             MON11  : out   std_logic; 
             MON12  : out   std_logic; 
             MON13  : out   std_logic; 
             MON14  : out   std_logic; 
             MON15  : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component TRIGGER_MAIN
      port ( xTRIG0    : in    std_logic; 
             xTRIG1    : in    std_logic; 
             xTRIG2    : in    std_logic; 
             xTRIG3    : in    std_logic; 
             xSELFTRIG : out   std_logic);
   end component;
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
begin
   XLXI_1 : PLL_IO_MUSER_TOP
      port map (PLL_LOCK=>PLL_LOCK,
                SPI_MISO=>SPI_MISO,
                xDIN=>xDIN,
                xPLL_RST=>xPLL_RST,
                xPWR_DWN=>xPWR_DWN,
                xSCLK=>xSCLK,
                xS_EN=>xS_EN,
                MODE_SEL=>MODE_SEL,
                PLL_RST=>PLL_RST,
                PWR_DWN=>PWR_DWN,
                REF_SEL=>REF_SEL,
                SPI_CLK=>SPI_CLK,
                SPI_LE=>SPI_LE,
                SPI_MOSI=>SPI_MOSI,
                xDOUT=>open,
                xPLL_LOCK=>open);
   
   XLXI_2 : CLK_MAIN_MUSER_TOP
      port map (CLK4_N=>CLK4_N,
                CLK4_P=>CLK4_P,
                SPB0_0=>SPB0_0,
                SPB0_1=>SPB0_1,
                SPB1_0=>SPB1_0,
                SPB1_1=>SPB1_1,
                SPB2_0=>SPB2_0,
                SPB2_1=>SPB2_1,
                SPB3_0=>SPB3_0,
                SPB3_1=>SPB3_1,
                xCLK_FB=>xCLK_FB,
                xCLK_15MHz=>xCLK_15MHz,
                xCLK_30MHz=>open,
                xCLR_ALL=>xCLR_ALL,
                xDONE=>xDONE,
                xTRIG0=>xTRIG0,
                xTRIG1=>xTRIG1,
                xTRIG2=>xTRIG2,
                xTRIG3=>xTRIG3);
   
   XLXI_5 : CONFIG_PLL
      port map (xCLK=>xCLK_15MHz,
                xCLR_ALL=>xCLR_ALL,
                xDIN=>xDIN,
                xPLL_RST=>xPLL_RST,
                xPWR_DWN=>xPWR_DWN,
                xSCLK=>xSCLK,
                xS_EN=>xS_EN);
   
   XLXI_9 : GND
      port map (G=>XLXN_89);
   
   XLXI_11 : GND
      port map (G=>XLXN_91);
   
   XLXI_13 : GND
      port map (G=>XLXN_93);
   
   XLXI_19 : REF_REPEAT_MUSER_TOP
      port map (RF_REV_N=>RF_REV_N,
                RF_REV_P=>RF_REV_P,
                RF_SPA_N=>RF_SPA_N,
                RF_SPA_P=>RF_SPA_P,
                xCLK_FB=>xCLK_FB,
                COMCLK=>COMCLK,
                EXT_TRIG=>EXT_TRIG,
                REV_N(3 downto 0)=>REV_N(3 downto 0),
                REV_P(3 downto 0)=>REV_P(3 downto 0),
                SPA_N(3 downto 0)=>SPA_N(3 downto 0),
                SPA_P(3 downto 0)=>SPA_P(3 downto 0));
   
   XLXI_20 : MON_HDR_MUSER_TOP
      port map (xMON0=>xSCLK,
                xMON1=>xDIN,
                xMON2=>xS_EN,
                xMON3=>xPWR_DWN,
                xMON4=>xPLL_RST,
                xMON5=>XLXI_20_xMON5_openSignal,
                xMON6=>XLXI_20_xMON6_openSignal,
                xMON7=>XLXN_89,
                xMON8=>EXT_TRIG,
                xMON9=>XLXN_91,
                xMON10=>COMCLK,
                xMON11=>XLXN_93,
                xMON12=>XLXN_94,
                xMON13=>xTRIG_OR_DONE,
                xMON14=>xDONE,
                xMON15=>xSELFTRIG,
                MON0=>MON0,
                MON1=>MON1,
                MON2=>MON2,
                MON3=>MON3,
                MON4=>MON4,
                MON5=>MON5,
                MON6=>MON6,
                MON7=>MON7,
                MON8=>MON8,
                MON9=>MON9,
                MON10=>MON10,
                MON11=>MON11,
                MON12=>MON12,
                MON13=>MON13,
                MON14=>MON14,
                MON15=>MON15);
   
   XLXI_22 : VCC
      port map (P=>XLXN_94);
   
   XLXI_23 : OBUF
      port map (I=>xTRIG_OR_DONE,
                O=>RF_SPB_0);
   
   XLXI_24 : OBUF
      port map (I=>xTRIG_OR_DONE,
                O=>RF_SPB_1);
   
   XLXI_25 : TRIGGER_MAIN
      port map (xTRIG0=>xTRIG0,
                xTRIG1=>xTRIG1,
                xTRIG2=>xTRIG2,
                xTRIG3=>xTRIG3,
                xSELFTRIG=>xSELFTRIG);
   
   XLXI_27 : OR2
      port map (I0=>xSELFTRIG,
                I1=>xDONE,
                O=>xTRIG_OR_DONE);
   
end BEHAVIORAL;


