VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SPI_CLK
        SIGNAL xSCLK
        SIGNAL SPI_MOSI
        SIGNAL xDIN
        SIGNAL SPI_LE
        SIGNAL REF_SEL
        SIGNAL XLXN_13
        SIGNAL MODE_SEL
        SIGNAL XLXN_15
        SIGNAL PLL_RST
        SIGNAL XLXN_18
        SIGNAL xPLL_RST
        SIGNAL PWR_DWN
        SIGNAL XLXN_3
        SIGNAL SPI_MISO
        SIGNAL xDOUT
        SIGNAL XLXN_23
        SIGNAL PLL_LOCK
        SIGNAL xPLL_LOCK
        SIGNAL XLXN_59
        SIGNAL xS_EN
        SIGNAL XLXN_21
        SIGNAL xPWR_DWN
        SIGNAL XLXN_62
        PORT Output SPI_CLK
        PORT Input xSCLK
        PORT Output SPI_MOSI
        PORT Input xDIN
        PORT Output SPI_LE
        PORT Output REF_SEL
        PORT Output MODE_SEL
        PORT Output PLL_RST
        PORT Input xPLL_RST
        PORT Output PWR_DWN
        PORT Input SPI_MISO
        PORT Output xDOUT
        PORT Input PLL_LOCK
        PORT Output xPLL_LOCK
        PORT Input xS_EN
        PORT Input xPWR_DWN
        BEGIN BLOCKDEF obuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 obuf
            PIN I xSCLK
            PIN O SPI_CLK
        END BLOCK
        BEGIN BLOCK XLXI_5 obuf
            PIN I xDIN
            PIN O SPI_MOSI
        END BLOCK
        BEGIN BLOCK XLXI_6 obuf
            PIN I XLXN_59
            PIN O SPI_LE
        END BLOCK
        BEGIN BLOCK XLXI_7 obuf
            PIN I XLXN_13
            PIN O REF_SEL
        END BLOCK
        BEGIN BLOCK XLXI_8 vcc
            PIN P XLXN_13
        END BLOCK
        BEGIN BLOCK XLXI_9 obuf
            PIN I XLXN_15
            PIN O MODE_SEL
        END BLOCK
        BEGIN BLOCK XLXI_10 vcc
            PIN P XLXN_15
        END BLOCK
        BEGIN BLOCK XLXI_11 obuf
            PIN I XLXN_18
            PIN O PLL_RST
        END BLOCK
        BEGIN BLOCK XLXI_12 inv
            PIN I xPLL_RST
            PIN O XLXN_18
        END BLOCK
        BEGIN BLOCK XLXI_13 obuf
            PIN I XLXN_62
            PIN O PWR_DWN
        END BLOCK
        BEGIN BLOCK XLXI_3 ibuf
            PIN I SPI_MISO
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_4 buf
            PIN I XLXN_3
            PIN O xDOUT
        END BLOCK
        BEGIN BLOCK XLXI_15 ibuf
            PIN I PLL_LOCK
            PIN O XLXN_23
        END BLOCK
        BEGIN BLOCK XLXI_16 buf
            PIN I XLXN_23
            PIN O xPLL_LOCK
        END BLOCK
        BEGIN BLOCK XLXI_39 inv
            PIN I xS_EN
            PIN O XLXN_59
        END BLOCK
        BEGIN BLOCK XLXI_14 inv
            PIN I xPWR_DWN
            PIN O XLXN_21
        END BLOCK
        BEGIN BLOCK XLXI_41 gnd
            PIN G XLXN_62
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1760 1360
        INSTANCE XLXI_1 912 528 R0
        BEGIN BRANCH SPI_CLK
            WIRE 1136 496 1168 496
        END BRANCH
        BEGIN BRANCH xSCLK
            WIRE 880 496 912 496
        END BRANCH
        INSTANCE XLXI_5 912 592 R0
        BEGIN BRANCH SPI_MOSI
            WIRE 1136 560 1168 560
        END BRANCH
        BEGIN BRANCH xDIN
            WIRE 880 560 912 560
        END BRANCH
        INSTANCE XLXI_6 912 656 R0
        BEGIN BRANCH SPI_LE
            WIRE 1136 624 1168 624
        END BRANCH
        INSTANCE XLXI_7 912 720 R0
        BEGIN BRANCH REF_SEL
            WIRE 1136 688 1168 688
        END BRANCH
        BEGIN BRANCH XLXN_13
            WIRE 880 688 912 688
        END BRANCH
        INSTANCE XLXI_8 880 752 R270
        INSTANCE XLXI_9 912 784 R0
        BEGIN BRANCH MODE_SEL
            WIRE 1136 752 1168 752
        END BRANCH
        BEGIN BRANCH XLXN_15
            WIRE 880 752 912 752
        END BRANCH
        INSTANCE XLXI_10 880 816 R270
        INSTANCE XLXI_11 912 848 R0
        BEGIN BRANCH PLL_RST
            WIRE 1136 816 1168 816
        END BRANCH
        BEGIN BRANCH XLXN_18
            WIRE 880 816 912 816
        END BRANCH
        INSTANCE XLXI_12 656 848 R0
        BEGIN BRANCH xPLL_RST
            WIRE 624 816 656 816
        END BRANCH
        INSTANCE XLXI_13 912 912 R0
        BEGIN BRANCH PWR_DWN
            WIRE 1136 880 1168 880
        END BRANCH
        INSTANCE XLXI_3 656 400 R0
        BEGIN BRANCH XLXN_3
            WIRE 880 368 912 368
        END BRANCH
        INSTANCE XLXI_4 912 400 R0
        BEGIN BRANCH SPI_MISO
            WIRE 624 368 656 368
        END BRANCH
        BEGIN BRANCH xDOUT
            WIRE 1136 368 1168 368
        END BRANCH
        INSTANCE XLXI_15 656 464 R0
        BEGIN BRANCH XLXN_23
            WIRE 880 432 912 432
        END BRANCH
        INSTANCE XLXI_16 912 464 R0
        BEGIN BRANCH PLL_LOCK
            WIRE 624 432 656 432
        END BRANCH
        BEGIN BRANCH xPLL_LOCK
            WIRE 1136 432 1168 432
        END BRANCH
        IOMARKER 1168 496 SPI_CLK R0 28
        IOMARKER 880 496 xSCLK R180 28
        IOMARKER 1168 560 SPI_MOSI R0 28
        IOMARKER 880 560 xDIN R180 28
        IOMARKER 1168 624 SPI_LE R0 28
        IOMARKER 1168 688 REF_SEL R0 28
        IOMARKER 1168 752 MODE_SEL R0 28
        IOMARKER 1168 816 PLL_RST R0 28
        IOMARKER 624 816 xPLL_RST R180 28
        IOMARKER 1168 880 PWR_DWN R0 28
        IOMARKER 624 368 SPI_MISO R180 28
        IOMARKER 1168 368 xDOUT R0 28
        IOMARKER 624 432 PLL_LOCK R180 28
        IOMARKER 1168 432 xPLL_LOCK R0 28
        BEGIN BRANCH XLXN_59
            WIRE 880 624 912 624
        END BRANCH
        INSTANCE XLXI_39 656 656 R0
        BEGIN BRANCH xS_EN
            WIRE 624 624 656 624
        END BRANCH
        IOMARKER 624 624 xS_EN R180 28
        BEGIN BRANCH XLXN_21
            WIRE 912 1040 944 1040
        END BRANCH
        INSTANCE XLXI_14 688 1072 R0
        BEGIN BRANCH xPWR_DWN
            WIRE 656 1040 688 1040
        END BRANCH
        IOMARKER 656 1040 xPWR_DWN R180 28
        BEGIN BRANCH XLXN_62
            WIRE 880 880 912 880
        END BRANCH
        INSTANCE XLXI_41 752 816 R90
    END SHEET
END SCHEMATIC
